#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# developer.skatelescope.org documentation build configuration file, created by
# sphinx-quickstart on Wed Dec 13 11:59:38 2017.
#
# This file is execfile()d with the current directory set to its
# containing dir.
#
# Note that not all possible configuration values are present in this
# autogenerated file.
#
# All configuration values have a default; values that are commented out
# serve to show the default.

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
import os
import subprocess
import sys

from sphinx_pyproject import SphinxConfig

sys.path.insert(0, os.path.abspath('../..'))

# -- General configuration ------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
# needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'sphinx.ext.autodoc',
    'sphinx.ext.intersphinx',
    'sphinx.ext.viewcode',
    'recommonmark'
]

autodoc_mock_imports = [
    'pyarrow',
    'ska_sdp_dal',
]

master_doc = 'index'

pyproject = globals()
config = SphinxConfig("../../pyproject.toml", globalns=pyproject)
project = pyproject["name"]
copyright = '2018, SKA Organization'
author = pyproject["author"]
version = pyproject['version']
release = version
html_theme = 'sphinx_rtd_theme'

# Example configuration for intersphinx: refer to the Python standard library.
intersphinx_mapping = {
    'sdp-dal-prototype': (
        'https://developer.skatelescope.org/projects/sdp-dal-prototype/en/latest',
        None),
}
